package de.intevation.flys.artifacts.model.minfo;

import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import de.intevation.flys.artifacts.model.DateRange;

import gnu.trove.TDoubleArrayList;

public class BedQualityResult
implements Serializable
{

    protected List<BedDiameterResult> bedResults;
    protected List<BedloadDiameterResult> bedloadResults;
    protected List<BedParametersResult> bedParameters;
    protected DateRange dateRange;

    public BedQualityResult () {
        bedResults = new LinkedList<BedDiameterResult>();
        bedloadResults = new LinkedList<BedloadDiameterResult>();
        bedParameters = new LinkedList<BedParametersResult>();
    };

    public BedQualityResult (
        List<BedDiameterResult> bedResults,
        List<BedloadDiameterResult> bedloadResults,
        List<BedParametersResult> bedParameters,
        DateRange range
    ) {
        this.dateRange = range;
        this.bedResults = bedResults;
        this.bedloadResults = bedloadResults;
        this.bedParameters = bedParameters;
    }

    public BedParametersResult[] getParameters() {
        return bedParameters.toArray(
            new BedParametersResult[bedParameters.size()]);
    }

    public BedDiameterResult[] getBedResults() {
        return bedResults.toArray(new BedDiameterResult[bedResults.size()]);
    }

    public BedloadDiameterResult[] getBedloadResults() {
        return bedloadResults.toArray(
            new BedloadDiameterResult[bedloadResults.size()]);
    }

    public void add(BedloadDiameterResult result) {
        bedloadResults.add(result);
    }

    public void add(BedDiameterResult result) {
        bedResults.add(result);
    }

    public void add(BedParametersResult result) {
        bedParameters.add(result);
    }

    public DateRange getDateRange() {
        return dateRange;
    }

    public void setDateRange(DateRange range) {
        this.dateRange = range;
    }
}
